# Processus ajout de disque

## Description

Ajouter un disque sur un serveur qui est en manque d'espace. Par exemple un serveur de base de données PostgreSQL.

## Déroulement

- attacher le disque sur le serveur
  - Déclaration sur Terraform ou sinon sur l'interface OVH par exemple
- `fdisk /dev/sdb`
  - `n`
  - `p`
  - `1`
  - `w`
- `mkfs.ext4 /dev/sdb1`
- `mkdir /mnt/temp_data`
- `mount /dev/sdb1 /mnt/temp_data`
- `rsync -av /var/lib/postgresql/ /mnt/temp_data`
- Sauvegarde de la BDD au cas-où:
  - `cd /root/scripts`
  - `bash restic_backup_local-mastodon.sh`
- `systemctl stop postgresql`
- `rsync -av /var/lib/postgresql/ /mnt/temp_data`
- `rm -rf /var/lib/postgresql/*`
- `umount /mnt/temp_data`
- `mount /dev/sdb1 /var/lib/postgresql`
- `systemctl start postgresql`
- remplir le fstab comme il faut :
  - `vim /etc/fstab`

  ```
  /dev/sdb1        /var/lib/postgresql                    ext4    defaults        0 2
  ```
